Draft Array: Difference between revisions

From FreeCAD Documentation
(sripting)
(VeryImportantMessage: Added V0.21+)
 
(84 intermediate revisions by 9 users not shown)
Line 1: Line 1:
<languages/>
=Matrice, schiera=
<translate>


<!--T:37-->
{{GuiCommand/it|Name=Draft_Array|Name/it=Matrice|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Matrice}}
{{Docnav
|
|
|[[Draft_Workbench|Draft]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}


<!--T:46-->
==Descrizione==
{{VeryImportantMessage|THIS COMMAND IS OBSOLETE<br>
It is not be available in {{VersionPlus|0.21}}. Use [[Draft_OrthoArray|Draft OrthoArray]], [[Draft_PolarArray|Draft PolarArray]] or [[Draft_CircularArray|Draft CircularArray]] instead.}}


<!--T:1-->
Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati. Se non è selezionato nessun oggetto, lo strumento chiede di selezionarne uno.
{{GuiCommand
|Name=Draft Array
|Workbenches=[[Draft_Workbench|Draft]], [[Arch_Workbench|Arch]]
|SeeAlso=[[Draft_OrthoArray|Draft OrthoArray]], [[Draft_PolarArray|Draft PolarArray]], [[Draft_CircularArray|Draft CircularArray]]
}}


==Description== <!--T:2-->
[[Image:Draft_Array_example.jpg|400px]]


<!--T:44-->
==Utilizzo==
The [[Image:Draft_Array.svg|24px]] '''Draft Array''' command creates an orthogonal (3-axes) array from a selected object. The created array can be turned into a [[Draft_PolarArray|polar array]] or a [[Draft_CircularArray|circular array]] by changing its {{PropertyData|Array Type}} property.


<!--T:19-->
# Selezionare gli oggetti con si desidera creare una schiera, che si desidera duplicare secondo un certo ordine
The command can be used on 2D objects created with the [[Draft_Workbench|Draft Workbench]] or [[Sketcher_Workbench|Sketcher Workbench]], but also on many 3D objects such as those created with the [[Part_Workbench|Part Workbench]], [[PartDesign_Workbench|PartDesign Workbench]] or [[Arch_Workbench|Arch Workbench]].
# Premere il pulsante {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array/it|Matrice]]}}


<!--T:47-->
==Opzioni==
This command is now obsolete. Use the [[Draft_OrthoArray|Draft OrthoArray]], [[Draft_PolarArray|Draft PolarArray]] or [[Draft_CircularArray|Draft CircularArray]] command instead.


==Usage== <!--T:48-->
* La matrice ha come impostazione iniziale predefinita quella ortogonale, è possibile modificare questa modalità nelle sue proprietà.


<!--T:4-->
==Proprietà==
# To use this command in FreeCAD version 0.19 and later you need to add a button to a custom toolbar. See [[Interface_Customization|Interface Customization]].
# Optionally select one object.
# Press the {{Button|[[Image:Draft_Array.svg|16px]] [[Draft_Array|Draft Array]]}} button.
# If you have not yet selected an object: select one object.
# The array is created.
# Optionally change its [[Draft_OrthoArray#Properties|properties]].


==Properties== <!--T:49-->
* {{ProprietaDati|Array Type}}: Specifica il tipo di matrice: ortho o polar


<!--T:24-->
Per matrici ortogonali:
See [[Draft_OrthoArray#Properties|Draft OrthoArray]].


==Scripting== <!--T:50-->
* {{ProprietaDati|Interval X}}: L'intervallo tra ciascuna copia sul primo asse
* {{ProprietaDati|Interval Y}}: L'intervallo tra ciascuna copia sul secondo asse
* {{ProprietaDati|Interval Z}}: L'intervallo tra ciascuna copia sul terzo asse
* {{ProprietaDati|Number X}}: Il numero di copie sul primo asse
* {{ProprietaDati|Number Y}}: Il numero di copie sul secondo asse
* {{ProprietaDati|Number Z}}: Il numero di copie sul terzo asse


<!--T:18-->
Per matrici polari:
See [[Draft_OrthoArray#Scripting|Draft OrthoArray]].


* {{ProprietaDati|Axis}}: La direzione normale al cerchio della matrice
* {{ProprietaDati|Center}}: Il punto centro della matrice
* {{ProprietaDati|Angle}}: L'angolo da coprire con le copie
* {{ProprietaDati|Number Polar}}: Il numero di copie


<!--T:36-->
==Script==
{{Docnav
|
|
|[[Draft_Workbench|Draft]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}


</translate>
Lo strumento Matrice può essere utilizzato nelle [[macros/it|macro]] e dalla [[FreeCAD_Scripting_Basics/it|console di Python]] utilizzando una delle seguenti funzioni:
{{Draft Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}
- per matrici rettangolari
'''array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])'''
- per matrici polari
'''array (objectslist,center,totalangle,totalnum)'''

* Crea una schiera con gli oggetti contenuti nella lista (che può essere un oggetto o un elenco di oggetti).
* Nel caso di matrice rettangolare, produce xnum di iterazioni nella direzione x alla distanza xvector tra le iterazioni, e stessa cosa per la direzione Y con yvector e ynum.
* Nel caso di matrice polare, center è un vettore, totalangle è l'angolo da coprire (in gradi) e totalnum è il numero di oggetti, compreso l'originale.

oppure, con un solo oggetto:

- per matrici rettangolari
'''makeArray (object,xvector,yvector,xnum,ynum)'''
- per matrici polari
'''makeArray (object,center,totalangle,totalnum)'''

* Crea una schiera con l'oggetto dato
* Nel caso di matrice rettangolare, produce xnum di iterazioni nella direzione x alla distanza xvector tra le iterazioni, e stessa cosa per la direzione Y con yvector e ynum.
* Nel caso di matrice polare, center è un vettore, totalangle è l'angolo da coprire (in gradi) e totalnum è il numero di oggetti, compreso l'originale.
Esempio:

import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)

{{languages/it | {{en|Draft_Array}} {{es|Draft_Array/es}} {{fr|Draft_Array/fr}} }}

Latest revision as of 08:24, 20 May 2023

THIS COMMAND IS OBSOLETE
It is not be available in version 0.21 and above. Use Draft OrthoArray, Draft PolarArray or Draft CircularArray instead.

Draft Array

Menu location
None
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
Draft OrthoArray, Draft PolarArray, Draft CircularArray

Description

The Draft Array command creates an orthogonal (3-axes) array from a selected object. The created array can be turned into a polar array or a circular array by changing its DataArray Type property.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.

This command is now obsolete. Use the Draft OrthoArray, Draft PolarArray or Draft CircularArray command instead.

Usage

  1. To use this command in FreeCAD version 0.19 and later you need to add a button to a custom toolbar. See Interface Customization.
  2. Optionally select one object.
  3. Press the Draft Array button.
  4. If you have not yet selected an object: select one object.
  5. The array is created.
  6. Optionally change its properties.

Properties

See Draft OrthoArray.

Scripting

See Draft OrthoArray.